SingletonDisplaySummary (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.uibeans.SingletonDisplaySummary class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.uibeans
Class SingletonDisplaySummary

    java.lang.Object
      org.hyperic.hq.bizapp.shared.uibeans.ResourceTypeDisplaySummary
          org.hyperic.hq.bizapp.shared.uibeans.SingletonDisplaySummary

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable

Direct Known Subclasses:
  ClusterDisplaySummary, ResourceDisplaySummary

    public class SingletonDisplaySummary

extends ResourceTypeDisplaySummary
implements java.io.Serializable

Represents the resource current health summary displayed on the "Current Health" views for a single resource.

See Also:
  Serialized Form

Constructor Summary
`SingletonDisplaySummary()`
`SingletonDisplaySummary(AppdefEntityID eid, java.lang.String name)`

Method Summary
`AppdefEntityID` | `getEntityId()` Returns the entity id corresponding to the resource represented by the summary.
`java.lang.String` | `getEntityName()`
`int` | `getSummaryType()` Returns a constant describing the summarized resources.
`void` | `setEntityId(AppdefEntityID eid)` Set the entity id corresponding to the resource represented by the summary.
`void` | `setEntityName(java.lang.String entityName)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.bizapp.shared.uibeans.ResourceTypeDisplaySummary
`compareTo, getAppdefTypeId, getAvailability, getAvailTempl, getNumResources, getPerformance, getPerformanceUnits, getPerformTempl, getResourceType, getThroughput, getThroughputTempl, getThroughputUnits, setAppdefTypeId, setAvailability, setAvailTempl, setNumResources, setPerformance, setPerformanceUnits, setPerformTempl, setResourceType, setThroughput, setThroughputTempl, setThroughputUnits`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SingletonDisplaySummary

    public SingletonDisplaySummary()

### SingletonDisplaySummary

    public SingletonDisplaySummary(AppdefEntityID eid,
                                   java.lang.String name)

Method Detail

### getSummaryType

    public int getSummaryType()

  Description copied from class: `ResourceTypeDisplaySummary`
  Returns a constant describing the summarized resources. Examples of summary types are "autogroup", "cluster" and "singleton".

  Specified by:
    `getSummaryType` in class `ResourceTypeDisplaySummary`
  See Also:
    `UIConstants`

### getEntityId

    public AppdefEntityID getEntityId()

  Returns the entity id corresponding to the resource represented by the summary.

### setEntityId

    public void setEntityId(AppdefEntityID eid)

  Set the entity id corresponding to the resource represented by the summary.

  Parameters:
    `eid` - the entity id of the summarized resource

### getEntityName

    public java.lang.String getEntityName()

### setEntityName

    public void setEntityName(java.lang.String entityName)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ResourceTypeDisplaySummary`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.